Spaces
Read the space clearance board
Requires the spaces feature and current access to the organization, program or recipient. File, story and supporter sections additionally follow their own permissions. Returns one column per clearance level with its total and up to 24 initial media items.
GET
/
admin
/
spaces
/
{type}
/
{id}
/
clearance-board
Read the space clearance board
curl --request GET \
--url https://api.gratona.com/v1/admin/spaces/{type}/{id}/clearance-board \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/spaces/{type}/{id}/clearance-board"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/spaces/{type}/{id}/clearance-board', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/spaces/{type}/{id}/clearance-board",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/spaces/{type}/{id}/clearance-board"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/spaces/{type}/{id}/clearance-board")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/spaces/{type}/{id}/clearance-board")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"level": "not_reviewed",
"total": 123,
"items": [
{
"id": "<string>",
"name": "<string>",
"source": "<string>",
"type": "<string>",
"mime": "<string>",
"modified": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"status": "<string>",
"document_id": "<string>",
"context_label": "<string>",
"context_url": "<string>",
"collection_id": 123,
"size": 123,
"starred": true,
"capabilities": {
"preview": true,
"open_source": true,
"star": true,
"collect": true,
"delete": true
},
"match_snippet": "<string>",
"minors_detected": true,
"description": "<string>",
"clearance": {
"level": "not_reviewed",
"supporters": {
"allowed": true,
"reason": "<string>",
"variant": "<string>",
"consent_expires_at": "2023-11-07T05:31:56Z"
},
"public": {
"allowed": true,
"reason": "<string>",
"variant": "<string>",
"consent_expires_at": "2023-11-07T05:31:56Z"
},
"consent_needed": {
"supporters": "<string>",
"public": "<string>"
}
}
}
]
}
]
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Type.
Available options:
organization, program, recipient Record ID within the organization and any parent resource in this route.
Response
Read the space clearance board response.
Show child attributes
Show child attributes
⌘I
Read the space clearance board
curl --request GET \
--url https://api.gratona.com/v1/admin/spaces/{type}/{id}/clearance-board \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/spaces/{type}/{id}/clearance-board"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/spaces/{type}/{id}/clearance-board', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/spaces/{type}/{id}/clearance-board",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/spaces/{type}/{id}/clearance-board"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/spaces/{type}/{id}/clearance-board")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/spaces/{type}/{id}/clearance-board")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"level": "not_reviewed",
"total": 123,
"items": [
{
"id": "<string>",
"name": "<string>",
"source": "<string>",
"type": "<string>",
"mime": "<string>",
"modified": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"status": "<string>",
"document_id": "<string>",
"context_label": "<string>",
"context_url": "<string>",
"collection_id": 123,
"size": 123,
"starred": true,
"capabilities": {
"preview": true,
"open_source": true,
"star": true,
"collect": true,
"delete": true
},
"match_snippet": "<string>",
"minors_detected": true,
"description": "<string>",
"clearance": {
"level": "not_reviewed",
"supporters": {
"allowed": true,
"reason": "<string>",
"variant": "<string>",
"consent_expires_at": "2023-11-07T05:31:56Z"
},
"public": {
"allowed": true,
"reason": "<string>",
"variant": "<string>",
"consent_expires_at": "2023-11-07T05:31:56Z"
},
"consent_needed": {
"supporters": "<string>",
"public": "<string>"
}
}
}
]
}
]
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}